Last Comment Bug 319196 - customized toolbar always reset to default on restart, bookmarks and search engines lost, unable to add search engines (localstore.rdf corruption on upgrade or crash). SEE URL FIELD FOR SUPPORT LINK
: customized toolbar always reset to default on restart, bookmarks and search e...
Status: NEW
Go to http://support.mozilla.com/kb/T...
: dataloss
Product: Toolkit
Classification: Components
Component: Startup and Profile System (show other bugs)
: unspecified
: x86 Windows XP
: P3 critical with 30 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://support.mozilla.com/kb/Toolbar...
: 279480 311528 316549 321657 322166 325634 326357 327210 333399 336461 340221 340506 342887 342980 343431 343438 343995 344380 346536 346865 348107 348340 348772 349218 350360 350411 350880 351259 351266 351395 351434 351454 352371 352611 353257 353913 354012 354184 355499 356273 356368 356465 356698 356735 356968 356986 357518 357586 357587 357744 358204 358212 358388 358514 360369 361007 361318 361422 361440 361750 362375 362517 362622 362748 363036 363037 363324 363855 364186 364431 364532 364723 364796 364802 365979 366221 366638 366699 367526 367810 368533 368935 369158 369320 369470 369861 371134 371602 371927 372497 373903 374033 374317 374614 374961 375317 375443 376118 376357 376437 376488 377445 377667 378059 378074 378394 379276 380150 382662 385868 388797 389284 390475 390759 390834 390915 391035 391796 392227 393915 393981 394760 396995 400877 402402 402475 405411 405496 406296 409987 411386 421592 421801 429910 431918 441560 612097 (view as bug list)
Depends on: 333907
Blocks: profile-corrupt
  Show dependency treegraph
 
Reported: 2005-12-05 11:25 PST by Christian Ascheberg
Modified: 2016-08-13 07:23 PDT (History)
239 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
corrupt localstore.rdf after crash (25.70 KB, text/plain)
2006-06-26 21:12 PDT, Majken Connor [:Kensie]
no flags Details
corrupt localstore after update (8.11 KB, application/octet-stream)
2006-06-28 13:59 PDT, Majken Connor [:Kensie]
no flags Details
broken bookmarks after update (2.26 KB, text/plain)
2006-06-28 14:03 PDT, Majken Connor [:Kensie]
no flags Details
localstore.rdf of FF 4.0.1 (69.98 KB, application/octet-stream)
2011-06-11 18:56 PDT, bege10
no flags Details

Description Christian Ascheberg 2005-12-05 11:25:49 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8) Gecko/20051111 Firefox/1.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8) Gecko/20051111 Firefox/1.5

I already read some bug reports about lost bookmarks and profiles. In my case the customized toolbar was reset to default and I lost all my bookmarks. I importet my bookmars from a file and also modified the toolbar again but none of these changes were saved! It was finally possible to save these changes after deleting my profile and creating a new one.

Reproducible: Sometimes

Steps to Reproduce:
1. I have no idea how to reproduce this nor why this happens but it is not the first time that this happens.
Comment 1 Christian Ascheberg 2005-12-09 06:36:40 PST
Well, it happend again (and I have no idea why)
This time I can restore my bookmarks and they do not disappear when restarting firefox but I can not save any changes that have to do with the tollbars.
Now I also tried to make these changes with latest-trunk version but they are not saved after restart, either.
Can anybody tell me if there is any file that I have to delete (because it might be corrupted)?
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-01-29 00:52:11 PST
The file you need to delete is localstore.rdf, in your profile folder.
See http://kb.mozillazine.org/Profile for how to find your profile.

*** This bug has been marked as a duplicate of 307558 ***
Comment 3 Majken Connor [:Kensie] 2006-06-13 13:43:47 PDT
Reopening as I am confident this is a different bug.  It's still happening in updates to 1.5.0.4 .
Comment 4 Majken Connor [:Kensie] 2006-06-13 13:44:23 PDT
*** Bug 340506 has been marked as a duplicate of this bug. ***
Comment 5 Majken Connor [:Kensie] 2006-06-13 13:44:55 PDT
*** Bug 325634 has been marked as a duplicate of this bug. ***
Comment 6 Majken Connor [:Kensie] 2006-06-13 13:45:32 PDT
*** Bug 311528 has been marked as a duplicate of this bug. ***
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-06-19 21:08:15 PDT
*** Bug 316549 has been marked as a duplicate of this bug. ***
Comment 8 Nick Thomas [:nthomas] 2006-06-21 09:02:40 PDT
*** Bug 342305 has been marked as a duplicate of this bug. ***
Comment 9 Nick Thomas [:nthomas] 2006-06-21 09:05:24 PDT
*** Bug 330303 has been marked as a duplicate of this bug. ***
Comment 10 Nick Thomas [:nthomas] 2006-06-21 09:08:49 PDT
This is a "top support" issue in #firefox. We regularly see people who have a corrupt localstore.rdf from Firefox or their OS crashing, or when the updater restarts to apply the patch. It would be a major improvment if handling of this file could be made more robust.
Comment 11 Nick Thomas [:nthomas] 2006-06-21 09:19:44 PDT
*** Bug 335232 has been marked as a duplicate of this bug. ***
Comment 12 Mike Connor [:mconnor] 2006-06-23 15:54:09 PDT
Benjamin, Axel, is there a way to detect a corrupt RDF file and just nuke it during startup?
Comment 13 Majken Connor [:Kensie] 2006-06-24 12:41:11 PDT
(In reply to comment #12)
> Benjamin, Axel, is there a way to detect a corrupt RDF file and just nuke it
> during startup?
> 

I think the bigger concern here is what is taking out the RDF AND the bookmarks. If what you're asking can be done, but the bookmarks are already lost, then there's no point, at least in this bug, to take that approach.  It's a great question for the corrupt downloads.rdf crash bug though.
Comment 14 Mike Connor [:mconnor] 2006-06-24 22:54:51 PDT
In many cases, the same issue that causes problems for bookmarks.html will apply to any single-file storage solution.  Sqlite has some pretty robust handling for this type of thing, which is why we're migrating profile files in that direction.
Comment 15 Majken Connor [:Kensie] 2006-06-25 00:37:34 PDT
how about we try and find out if this is *Actually* a specific issue killing all these people's bookmarks.html and localstore.rdf files as there was killing just the localstore.rdf or are you going to add "resolved - probably random" as a resolution?
Comment 16 Majken Connor [:Kensie] 2006-06-25 01:41:19 PDT
Alright, as per conversation with mconnor and ispiked I'm commenting to make it more clear that this is happening on updates (not sure about other times, haven't come across any reports) as per comment #3.  

There isn't really a bug that makes this more clear, as it's based on my own anecdotal evidence from helping in #firefox. We got a LOT of this, as cf commented already and it's easier for us to realize it is infact happening on the update than it is for a user who has only updated once or twice and hasn't put it together.

For those of you who are having this problem, it would be incredibly helpful if you could email me the profiles you're seeing this on, or if you can, the corrupt bookmarks.html and localstore.rdf (probably requires updating firefox to corrupt them)
Comment 17 Christian Ascheberg 2006-06-25 04:09:04 PDT
All these things already happend to me, too, but furthermore even autocomplete entries and sometimes all saved options got lost.But changes there were saved even after restart.
Comment 18 Darin Fisher 2006-06-26 10:51:46 PDT
Not going to block FF2 on this though the problem definitely sounds serious.  We need steps to reproduce this, so we can get someone to fix it.
Comment 19 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-06-26 10:53:42 PDT
(It would also be nice if there were an example of a corrupt localstore.rdf attached to the bug.)
Comment 20 Majken Connor [:Kensie] 2006-06-26 21:12:41 PDT
Created attachment 227187 [details]
corrupt localstore.rdf after crash

For the sake of having something up, here is a corrupt localstore.rdf I got from someone after they lost these files from a crash.  I'll try and get on getting one after it's happened after an update to see if it's the same thing.
Comment 21 Axel Hecht 2006-06-26 21:36:50 PDT
Comment on attachment 227187 [details]
corrupt localstore.rdf after crash

localstore.rdf should be just a plain text file, I guess.
Comment 22 Axel Hecht 2006-06-26 21:43:52 PDT
It's not plaintext, it's some 26318 bytes of '\0', it seems.
Comment 23 Nick Thomas [:nthomas] 2006-06-26 23:33:27 PDT
vlad also found a few kb of nulls instead of a valid localstore.rdf, see bug 306661 comment #2
Comment 24 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-06-27 10:50:28 PDT
*** Bug 342887 has been marked as a duplicate of this bug. ***
Comment 25 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-06-28 08:23:20 PDT
*** Bug 342980 has been marked as a duplicate of this bug. ***
Comment 26 Majken Connor [:Kensie] 2006-06-28 13:59:38 PDT
Created attachment 227446 [details]
corrupt localstore after update

Caught a different user with problems after update, here's her localstore.rdf as you can see it's doing the same.
Comment 27 Majken Connor [:Kensie] 2006-06-28 14:03:41 PDT
Created attachment 227448 [details]
broken bookmarks after update

Here's her bookmarks.html, again after update.
Comment 28 Majken Connor [:Kensie] 2006-06-28 14:33:57 PDT
Ok so I got the whole profile from the user, if anyone thinks that'll help.  For privacy reasons I won't put it up here, but if someone wants to see it I have it.

User is on XP, NTFS

I'll try and get more specific info and share it if I can.
Comment 29 Brian Toms 2006-06-28 22:11:45 PDT
I think you're on to something with this NTFS thing.  I looked through all the duplicate bugs, and all but one of them were Windows XP, and the other one was Windows 2000.  I don't think it's a coincidence.
Comment 30 Ria Klaassen (not reading all bugmail) 2006-06-29 00:59:32 PDT
(In reply to comment #29)
>
Could also be that apple or linux users are more advanced users who resolve the problem rather than seeing it as a bug. Corrupted files in the profile have always been so common, that you don't always realize that these are bugs that should be fixed.
Comment 31 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-02 14:06:53 PDT
*** Bug 343431 has been marked as a duplicate of this bug. ***
Comment 32 Ria Klaassen (not reading all bugmail) 2006-07-02 22:50:49 PDT
*** Bug 343438 has been marked as a duplicate of this bug. ***
Comment 33 Ria Klaassen (not reading all bugmail) 2006-07-09 00:06:59 PDT
*** Bug 343995 has been marked as a duplicate of this bug. ***
Comment 34 Ria Klaassen (not reading all bugmail) 2006-07-12 11:44:34 PDT
*** Bug 344380 has been marked as a duplicate of this bug. ***
Comment 35 Majken Connor [:Kensie] 2006-07-28 16:05:18 PDT
for those of you seeing/have seen this issue it would be awesome if you could all post your answer to this question if you remember it - How did you exit firefox to install the update? did firefox close itself in the dialog?  Did you close it by hitting the x or exit etc?  Did you kill it in task manager? <-- If you killed it in task manager was there more than one firefox.exe going?

Maybe this can help us figure out the common thread.
Comment 36 cavalaxis 2006-07-28 16:10:23 PDT
(In reply to comment #35)Responding to the call for comment:  My upgrade occurred automatically, and seamlessly, except for the missing bookmarks and the lost search engines.  I restarted in safe-mode to reset the toolbar and that only brought back the search engines.  I had to reimport my bookmarks from a backup.  I don't remember any other erratic behavior.  No crash or freeze associated with the file corruption.  The only thing that happened was the automatic upgrade.
Comment 37 Ted Mielczarek [:ted.mielczarek] 2006-07-29 11:57:13 PDT
I had a profile that got corrupted in this way.  My entire computer crashed with Firefox running, and when I restarted localstore.rdf was hosed.
Comment 38 Steve England [:stevee] 2006-07-30 08:26:08 PDT
*** Bug 346536 has been marked as a duplicate of this bug. ***
Comment 39 Steve England [:stevee] 2006-08-01 09:33:45 PDT
*** Bug 346865 has been marked as a duplicate of this bug. ***
Comment 40 Brad 2006-08-10 07:00:38 PDT
I'm having the same problem. Tried almost all the solutions that I've found here. It happened after a windows xp crash. My bookmarks disappeared, my customized settings changed, and I can't get them to change back. I tried safe mode, deleting and putting a new localstore.rdf file, I even tried uninstalling/delete folders/reinstalling the program. At the moment I'm stuck with firefox refusing to save any of my settings. Anyone point me in the right direction for the fix or have other ideas to what my problem could be?
Comment 41 Johannes Buchner 2006-08-10 07:06:47 PDT
(In reply to comment #40)
http://kb.mozillazine.org/Toolbar_customizations_reset_on_startup
Comment 42 Majken Connor [:Kensie] 2006-08-10 12:14:22 PDT
if you are having problems fixing the problem according to the article please see support in irc.mozilla.org in #firefox for help.
Comment 43 sandpeople 2006-08-11 06:04:25 PDT
(In reply to comment #35)

First of all, this issue is most certainly NOT specific to XP & NTFS because I've been experiencing this almost daily on Linux (Kubuntu) for the past few weeks, yet I've never seen this on XP. 

I almost always shutdown FF with the 'X' close button.

After I fix this issue, it works until the next system restart or so.  Until this morning, when my bookmarks disappeared I could get my bookmarks back by copying one of the bookmark backups and everything was hunkydory for the rest of the day, but today that didn't work and I had to reset my toolbars from safemode in order for FF to read my bookmarks file.
This has only started occuring for me in the past couple weeks-probably after I upgraded to 1.5.0.5 or 1.5.0.5.

Also, today my most recent bookmark backup file would not work in FF.  When starting FF it would apparently overwrite it with my 471 byte bookmarks.bak file.  I had to copy one from a couple days earlier in order to get FF not to overwrite it and sucessfully display my bookmarks.
Comment 44 Underpass 2006-08-11 08:19:06 PDT
For (K)Ubuntu users: I suggest not to start Firefox with "sudo": the last two or three times I did it, I found the permissions on my profile spoiled, and an effect similar to what is described earlier. Do it either becoming root with "su" or installi Firefox straightly in your home directory (so it is possible to upgrade as normal user).

I must say, I think this problem started to occur since I upgraded from Ubuntu version 5.10 to 6.06.

Hope this will help. Bye.
Comment 45 Steve England [:stevee] 2006-08-11 10:40:51 PDT
*** Bug 348340 has been marked as a duplicate of this bug. ***
Comment 46 Majken Connor [:Kensie] 2006-08-11 13:40:58 PDT
sandpeople@gmail.com - I'm wondering if you should file a separate linux bug for what you're seeing but mention it here.  It may or may not be the same issue, but you're seeing it on every start where this bug is focusing more on why it happens after an update. When this happens again, before you fix your localstore.rdf can you compare it to the one attached?  If it's the same then that makes it more likely it's the same root cause, if it's different then it'd be a different issue.
Comment 47 Ria Klaassen (not reading all bugmail) 2006-08-16 00:23:41 PDT
*** Bug 348772 has been marked as a duplicate of this bug. ***
Comment 48 Majken Connor [:Kensie] 2006-08-16 23:48:26 PDT
I need some feedback on this, guys can you reply to the bug, or just email me directly - when the window for the update that broke these files came up, did you click restart now or did you click later?
Comment 49 John 2006-08-22 20:46:28 PDT
I hate to be a fly in the ointment but:
I have not updated Firefox for over a month+. I'm running XP pro/2. When the blue screen came up and I restarted the bookmarks and quickstart file were gone AND the startup in Firefox will only open in 1/2 screen no matter what I did. 
Because more than 1 system was corrupt I felt a complete reinstall was called for. So after uninstalling (+ ALL componants except a backup copy of my bookmarks). I then ran a registry cleaner. The thing I noticed was that about 25 connections to my Zone Alarm client file (firewall)were missing. I deleted and reinstalled Zone alarm. I reinstalled Firefox and for 3 days it worked perfectly. Then i installed my bookmarks. When I closed Firefox (using the X as I always do) after it closed came the blue screen again. On startup XP said I had a bad driver (it didn't say witch one). The first time this happened the same driver notice occured, I either updated or reinstalled every driver I could find on my system. 
My assesment: Either intentionally (malicious code, virus,ect) was/is attached when I download a bookmark or unintentionally how they worded there bookmark is reacting very badly with the program and is removed when XP catches it while causing other problems. Either way its bound to get worse.
Temp Cure (I think.) Reinstall firefox. DO NOT down load bookmarks to attached file. I will keep my bookmark file in a seperate unattached file and use it that way. If I'm still working in a couple of weeks/ or not I'll update you.
(In reply to comment #15)
> how about we try and find out if this is *Actually* a specific issue killing
> all these people's bookmarks.html and localstore.rdf files as there was killing
> just the localstore.rdf or are you going to add "resolved - probably random" as
> a resolution?
> 

Comment 50 Majken Connor [:Kensie] 2006-08-23 01:07:15 PDT
john that would make what you're seeing a different issue that should get its own bug, in which you should attach the file with your bookmarks that you think are doing this.
Comment 51 Nick Thomas [:nthomas] 2006-09-01 08:46:07 PDT
*** Bug 350411 has been marked as a duplicate of this bug. ***
Comment 52 Nick Thomas [:nthomas] 2006-09-01 08:47:03 PDT
*** Bug 348107 has been marked as a duplicate of this bug. ***
Comment 53 Nick Thomas [:nthomas] 2006-09-01 11:55:02 PDT
*** Bug 350880 has been marked as a duplicate of this bug. ***
Comment 54 Cameron 2006-09-04 06:50:33 PDT
*** Bug 351266 has been marked as a duplicate of this bug. ***
Comment 55 Ria Klaassen (not reading all bugmail) 2006-09-05 11:22:46 PDT
*** Bug 351434 has been marked as a duplicate of this bug. ***
Comment 56 Ria Klaassen (not reading all bugmail) 2006-09-05 12:55:04 PDT
*** Bug 351454 has been marked as a duplicate of this bug. ***
Comment 57 Adam Guthrie 2006-09-05 19:32:42 PDT
*** Bug 351457 has been marked as a duplicate of this bug. ***
Comment 58 Duchess Sammi 2006-09-06 14:53:47 PDT
This Really needs to be fixed, Because every time, page to page I have to uncheck that all these extra tools bars that I DO NOT want on my screen keep coming up -the the Icons no matter how many times I check Small Icons huge ones open with each new page. 
THEN ALL my bookmarks are gone -never to be seen again.
And Firefox will not allow me to set new bookmarks. 
Which is really annoying - when will this be fixed???
Comment 59 Majken Connor [:Kensie] 2006-09-06 17:47:10 PDT
This isn't happening to everyone, so it'll be fixed when either we can figure out what's specific about the people it's happening to, or if there's something else that can be done.  There is talk about at least having firefox realize these files are broken and replace them with defaults, which would still reset your settings initially but solve the issue that you can't start setting things until you fix the files by hand.

In the mean time you should be able to prevent this by closing firefox by hand before restarting your pc, rather than let windows close it.

If there is anyone that sees this *Every* time they restart their pc, emailing me directly so we can go through some stuff and try and track this down would be more than helpful.
Comment 60 John 2006-09-06 22:58:42 PDT
I don't know if this is going to help but the first time the bug ate the Firefox files I completely uninstalled and reinstalled the program. Including the plugins and it happened again. I had thought it was the bookmark file. No such luck. I completely uninstalled and reinstalled the program again. This time no plugins. Its been working perfectly now for a week. The only plugin I am running is Flashplayer. Nun of the others are installed but Media player seems to work anyway. I'm chicken to install the other plugins. I have too much work to catch up on as it is. I hope that this information helps.
John
Comment 61 Majken Connor [:Kensie] 2006-09-06 23:08:12 PDT
John - it'd help if you could put the plugins back and see if it happens all over again, and if so list which they were.  If nothing else, if you can list which they were so we can see if you have something that for instance I don't.
Comment 62 Kevin 2006-09-09 14:24:44 PDT
HELP - For some reason all my bookmarks have gone - I think their must of been an update and I am no techie wizard - I had many bookmarks that were important and I will not be able to reproduce - Is their a fix to this? I hope so otherwise I will go back to IE as this has never happened before  -Can some one help? Thanks K
Comment 63 Majken Connor [:Kensie] 2006-09-09 18:49:19 PDT
Kevin - this isn't a support forum, this is a discussion for tracking the bug.  Please see forums.mozillazine.org or #firefox on irc.mozilla.org for support.
Comment 64 Ria Klaassen (not reading all bugmail) 2006-09-12 12:20:26 PDT
*** Bug 352371 has been marked as a duplicate of this bug. ***
Comment 65 Majken Connor [:Kensie] 2006-09-13 20:37:19 PDT
*** Bug 352611 has been marked as a duplicate of this bug. ***
Comment 66 Adam Guthrie 2006-09-18 21:02:51 PDT
*** Bug 353257 has been marked as a duplicate of this bug. ***
Comment 67 James Ball 2006-09-20 02:56:37 PDT
(In reply to comment #66)
> Think this is the same bug - using 1.5.0.7, had left the PC running overnight but in the morning FF had hung. Had to turn PC off and back on, only to find all bookmarks and toolbar settings had gone, FF always starts in half screen size, but also all the extensions had evaporated? Well actually they'd all gone out of the extension viewer, I could still get to some of them via the Tools menu. Have tried starting in safe mode and resetting everything, and also deleted the localstore.rdf and finally have FF working (sort of) again. However it refuses to install any extensions now - you click the install button but nothing happens and nothing shows in the extensions list.

Is this another problem with the same bug or is this a different one?
Comment 68 Majken Connor [:Kensie] 2006-09-20 20:19:46 PDT
yes, its the same bug, although your extensions.rdf is affected as well as your bookmarks (which pass through an rdf before getting to the html) and localstore.rdf .
Comment 69 Phil Ringnalda (:philor) 2006-09-22 20:47:20 PDT
*** Bug 353913 has been marked as a duplicate of this bug. ***
Comment 70 otogodfrey 2006-09-23 02:03:05 PDT
I started firefox, then it automatically installed the update and then restarted by itself and when i got back it had no god damn bookmarks!!

I'm still so **** i lost all my bookmarks that i would fist the idiot in the face who is responsible for the bug. 
Comment 71 Majken Connor [:Kensie] 2006-09-23 13:35:57 PDT
If you are using the most recent version of firefox, your bookmarks are backed up.  If you have no new information to provide, please simply follow the support links, specifically http://kb.mozillazine.org/Lost_bookmarks to get yourself set back up.

If you see this happening to you without restarting your pc, please let us know.
Comment 72 Scott Sexton 2006-10-01 21:28:59 PDT
I've had this happen before and it happenned again this week.

I was able to recover my bookmarks by uninstalling FF and reinstalling an older build.  

In this case I installed "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060818 Minefield/3.0a1" and regained all of my bookmarks then exported them to a known file for the future.  

When I updated to "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20061001 Minefield/3.0a1" sure enough my current bookmarks were gone again.  They were replaced with a much older bookmark set from who knows how long ago.

I hope this helps out.

Thanks to all of you for all your work on this GREAT product.

Scott
Comment 73 Nick Thomas [:nthomas] 2006-10-02 00:21:43 PDT
(In reply to comment #72)

This is due the Places being turned off [1], which is unrelated to this bug.

[1] http://developer.mozilla.org/devnews/index.php/2006/09/20/places-to-be-disabled-on-trunk-nightlies/
Comment 74 Nick Thomas [:nthomas] 2006-10-05 01:46:11 PDT
*** Bug 355499 has been marked as a duplicate of this bug. ***
Comment 75 Ria Klaassen (not reading all bugmail) 2006-10-11 08:14:23 PDT
*** Bug 356273 has been marked as a duplicate of this bug. ***
Comment 76 Ria Klaassen (not reading all bugmail) 2006-10-12 01:35:28 PDT
*** Bug 356368 has been marked as a duplicate of this bug. ***
Comment 77 Ria Klaassen (not reading all bugmail) 2006-10-12 13:20:43 PDT
*** Bug 356465 has been marked as a duplicate of this bug. ***
Comment 78 Adam Guthrie 2006-10-14 18:52:56 PDT
*** Bug 356698 has been marked as a duplicate of this bug. ***
Comment 79 Ria Klaassen (not reading all bugmail) 2006-10-15 08:05:42 PDT
*** Bug 356735 has been marked as a duplicate of this bug. ***
Comment 80 Ria Klaassen (not reading all bugmail) 2006-10-17 11:09:52 PDT
*** Bug 356986 has been marked as a duplicate of this bug. ***
Comment 81 Ria Klaassen (not reading all bugmail) 2006-10-18 01:17:17 PDT
*** Bug 356968 has been marked as a duplicate of this bug. ***
Comment 82 Ria Klaassen (not reading all bugmail) 2006-10-21 13:52:52 PDT
*** Bug 357518 has been marked as a duplicate of this bug. ***
Comment 83 Nick Thomas [:nthomas] 2006-10-22 06:46:34 PDT
*** Bug 357586 has been marked as a duplicate of this bug. ***
Comment 84 Nick Thomas [:nthomas] 2006-10-22 07:16:50 PDT
*** Bug 357587 has been marked as a duplicate of this bug. ***
Comment 85 Majken Connor [:Kensie] 2006-10-22 17:46:08 PDT
A fix for bug 333907 should limit this to happening on crashes and not on shut down.
Comment 86 Ria Klaassen (not reading all bugmail) 2006-10-24 00:28:37 PDT
*** Bug 357744 has been marked as a duplicate of this bug. ***
Comment 87 Ria Klaassen (not reading all bugmail) 2006-10-26 09:54:41 PDT
*** Bug 358204 has been marked as a duplicate of this bug. ***
Comment 88 Ria Klaassen (not reading all bugmail) 2006-10-26 11:05:45 PDT
*** Bug 358212 has been marked as a duplicate of this bug. ***
Comment 89 Jonny Arnold 2006-10-26 15:22:29 PDT
I had this exact same bug. After an uninstall and reinstall, the bug had gone.

The only things that were different between the two installs were:
1. On the bad install, Multiple Users were running on the same machine - myself (the Admin) and one other.
2. The other user was running Firefox at the time (infantile error, I know...)

Hope this helps - it could be to do with multiple users logged on at the same time as installation occurs.
Comment 90 Nick Thomas [:nthomas] 2006-10-27 00:45:44 PDT
(In reply to comment #89)
> I had this exact same bug. After an uninstall and reinstall, the bug had gone.

That's actually Bug 357922.
Comment 91 Ria Klaassen (not reading all bugmail) 2006-10-27 08:33:58 PDT
*** Bug 358388 has been marked as a duplicate of this bug. ***
Comment 92 Adam Guthrie 2006-10-27 13:04:07 PDT
*** Bug 340221 has been marked as a duplicate of this bug. ***
Comment 93 Ria Klaassen (not reading all bugmail) 2006-10-28 09:26:51 PDT
*** Bug 358514 has been marked as a duplicate of this bug. ***
Comment 94 ken deguisse 2006-10-29 08:12:42 PST
(In reply to comment #93)
> *** Bug 358514 has been marked as a duplicate of this bug. ***

> ok i had a strange problem related to this same problems not restoring settings on exit and bookmarks additional folders would not work 
but this wasn't an actual firefox problem i don't think.
I installed Comodo Free firewall and the localstore.rdf basically became READ ONLY
well comodo changed my boot.ini file and there was a comodo file left over after i uninstalled it and it did not change the boot.ini back to original.
Here is the fix: 1:make restore point 2: make copy of BOOT.BAK and place somewhere else then delete C:\boot.ini.comodofirewall take the copy of BOOT.BAK
and rename to boot.ini and replace then uninstall firefox completely 3: Reboot system. 4:search for localstore.rdf and remove all references to it. 5: reinstall firefox and all should be fine. Hope this helps others with this problem.

Comment 95 Kelvin Foo 2006-10-30 09:06:38 PST
i have this problem whenever I restarted the PC or logoff, the homepage is reseted and all the settings not saved. Then I noticed that the file prefs.js is being deleted everytime I restart/logoff. 

I then tried to delete the startup programs (registry) and found out that the program TuoTu (some bit torrent software) is causing the deletion of the prefs.js. Try this method out ... maybe some programs different programs that you may have is behaving the same as this program that I have in my computer.
Comment 96 Bob Maski 2006-11-02 17:14:31 PST
Delete the localstore.rdf file.  You must delete the file when FireFox IS NOT RUNNING.  When you restart FireFox, the file will be recreated correctly.  It takes some searching to find the file, but deleting this file resolved the problem.   This problem started when I upgraded to FF 1.507, maybe something in the upgrade process corrupted the file.
Comment 97 willem01 2006-11-07 08:15:40 PST
Problem with toolbars solved here. (additionally: bookmarks were not saved correctly)
Created a new profile with the profile manager (FF not running)
RUN: firefox.exe -profilemanager
Removed other profile to \Temp folder

Had to restore the password database (search google Mozilla password profile)
Short: Quit FF, copy key3.db and 123456.s form \Temp to new profile, edit prefs.js with location of file : user_pref("signon.SignonFileName", "123456.s");
Also copied cookies file, just in case

Thanks. All's fine now.

Comment 98 Mike Connor [:mconnor] 2006-11-07 09:10:51 PST
Not going to block on this, but its something we want to keep on radar to be fixed.
Comment 99 Steve England [:stevee] 2006-11-11 10:08:16 PST
*** Bug 360369 has been marked as a duplicate of this bug. ***
Comment 100 Herman.Ryckelynck 2006-11-13 05:11:06 PST
customized toolbar always reset to default on restart, except 3 items. The rest is gone. Add-ons also disappeared.I cannot replace neither of them because they are not anymore avialable in de customizing window!  
Everything however is back when I ask a new window and another new window...
So to have everything as before I always need to ask a new window.
Most annoying.
Launching Firefox 2.0 is also very slowly.

SYSTEM: MAC OSX 10.3.9, Firefox 2.0
Comment 101 Pam 2006-11-13 11:59:09 PST
- Upgrade to firefox 2 makes working search box (broken before) Haven't tried adding any others, at least google is working and I don't want to ruin it.

- Bookmarks and Customize Toolbars still not working properly - Bookmarks now even worse than before.

- Deleting localstore.rdf does not resolve the problem.
Comment 102 Majken Connor [:Kensie] 2006-11-13 14:56:42 PST
Herman, I think you're experiencing a different bug, could you file separately and mention it in here?

Pam, I think you're seeing a different bug as well, but unless you're descriptive of how things aren't working,  it's hard to tell.
Comment 103 chris demuth 2006-11-13 16:51:32 PST
Help! I suffer an issue here on my pc which I was told would match this bug; had firefox 1.5.0.7 installed, upgraded to 2.0, since then my bookmarks got lost! I tried to completely uninstall version 2.0 and reinstall it... didn't work. Funny thing is, that I can import my old bookmarks and have them then until I shutdown/restart firefox, after that they're lost again!

I also deleted the localstore.rdf in my profile folder after shutting down firefox. But this didn't change anything.

Help, anybody a good advise... I get crazy here! Thanks
Comment 104 Pam 2006-11-13 19:25:57 PST
Ok! let me provide more detail. I definitely want to post to the right bug report.

Before upgrade:
Search box stopped working (I think on an auto-upgrade). Search engines could not be added, nor did default Google work. Actually, it showed no search engines installed at all.

Customize Toolbars did not work: It would look like it worked but on close/re-open it was reset to default.

Add Bookmarks would lead to a dialogue that said Create in: "Bookmarks", but when Ok is pressed, nothing happens. One must select a different Create in:, The full menu options are:
Bookmarks
Bookmarks Toolbar
-------------<separator line>
Bookmarks
Some but not all of my folders follow.

To add something to my bookmarks, I need to choose the second "Bookmarks" and then decide which folder to drag and drop to (using bookmarks sidebar).

After upgrade:
Search box seems to work! Hurray! Don't want to mess with it by trying to add other engines.

Customize toolbar still not saving settings on program close/reopen.

Bookmarks are even worse! Now I still have to select the second "Bookmarks", but it also erases default bookmark title. Finally, the Add Bookmark window does not disappear once OK is pressed, making the user uncertain of whether or not any (title-less) bookmark was saved or not. 
Comment 105 Phil Ringnalda (:philor) 2006-11-16 20:14:32 PST
*** Bug 361007 has been marked as a duplicate of this bug. ***
Comment 106 manueldebaux 2006-11-19 15:30:36 PST
I have the same problem, it should be good if someone correct it and makes a FireFox update !
Comment 107 manueldebaux 2006-11-19 15:31:59 PST
What's a rdf file ? (i'm french)
Comment 108 manueldebaux 2006-11-19 15:32:52 PST
What's a rdf file ? (i'm french)
Comment 109 Ria Klaassen (not reading all bugmail) 2006-11-20 14:13:10 PST
*** Bug 361318 has been marked as a duplicate of this bug. ***
Comment 110 Khallaf 2006-11-21 15:25:24 PST
This bug apeared in the official Firefox 2.0 final release. It is very nasty, and there is another symptom for it: the Firefox executable firefox.exe keeps running in the background even after closing all visibe windows, and without any downloads or Page> SaveAs.. running in the background either. The program keeps running and when re-running firefox, another instance of the program may load. I abandoned version 2.0 for that reason: Only God knows how could they let it out with that severe bug. IT  IS  UNACCEPATBLE!
Comment 111 Majken Connor [:Kensie] 2006-11-21 16:53:55 PST
firefox.exe running in the background isn't a symptom, it's the cause, and it is potentially a sign you have a trojan, if you can't kill the process in task manager either.  If you kill the process in task manager and it does not come back on its own then you have a plugin or extension issue.  If you kill it and it does come back on its own then you are infected.

http://kb.mozillazine.org/Firefox.exe_always_open
Comment 112 Carsten Book [:Tomcat] - PTO-back Sept 4th 2006-11-22 05:16:34 PST
*** Bug 326357 has been marked as a duplicate of this bug. ***
Comment 113 Steve England [:stevee] 2006-11-30 09:35:26 PST
*** Bug 362375 has been marked as a duplicate of this bug. ***
Comment 114 Carsten Book [:Tomcat] - PTO-back Sept 4th 2006-12-01 10:55:48 PST
*** Bug 362517 has been marked as a duplicate of this bug. ***
Comment 115 kaleriastorm 2006-12-02 03:59:14 PST
I've been having this same problem. Every time I restart Firefox, all the toolbars revert to default. My bookmarks are _usually_ ok, but twice, a single subfolder has been deleted. I'm running Windows XP  with SP2.
Comment 116 Carsten Book [:Tomcat] - PTO-back Sept 4th 2006-12-02 10:42:19 PST
*** Bug 354012 has been marked as a duplicate of this bug. ***
Comment 117 Phil Ringnalda (:philor) 2006-12-02 20:58:26 PST
*** Bug 362622 has been marked as a duplicate of this bug. ***
Comment 118 Carsten Book [:Tomcat] - PTO-back Sept 4th 2006-12-04 03:48:37 PST
*** Bug 361440 has been marked as a duplicate of this bug. ***
Comment 119 Steve England [:stevee] 2006-12-04 11:25:04 PST
*** Bug 362748 has been marked as a duplicate of this bug. ***
Comment 120 Phil Ringnalda (:philor) 2006-12-06 22:46:09 PST
*** Bug 363036 has been marked as a duplicate of this bug. ***
Comment 121 Phil Ringnalda (:philor) 2006-12-09 19:03:19 PST
*** Bug 279480 has been marked as a duplicate of this bug. ***
Comment 122 j.heffler 2006-12-12 15:23:28 PST
(In reply to comment #49)
I also lost all bookmarks after an update, when I add new ones their title is blank, Firefox never opens in full screen and I lost all search plugins. Windows XP Firefox 2.0
Comment 123 Phil Ringnalda (:philor) 2006-12-12 22:53:48 PST
*** Bug 327210 has been marked as a duplicate of this bug. ***
Comment 124 Nick Thomas [:nthomas] 2006-12-14 09:04:17 PST
*** Bug 363855 has been marked as a duplicate of this bug. ***
Comment 125 zan mcleod 2006-12-14 09:35:53 PST
Losing all my bookmarks has upset me greatly! This is the 2nd time this has happened with Firefox... Why can't they be saved and backed up like IE ??? Why are there no soulutions offered from Tech Support ?? I may have to go back to IE.  Also,this process of reporting problems is as bad as the problems themself.
Comment 126 Colleen Beamer 2006-12-14 11:10:59 PST
(In reply to comment #125)
> Losing all my bookmarks has upset me greatly! This is the 2nd time this has
> happened with Firefox... Why can't they be saved and backed up like IE ??? Why
> are there no soulutions offered from Tech Support ?? I may have to go back to
> IE.  Also,this process of reporting problems is as bad as the problems
> themself.
> 

As far as I know, they can be .... it's just different in Firefox! :-)  Do Bookmarks --> Organize Bookmarks, then from the File Menu, select Export and you can save the bookmarks anywhere you want.  Then when you want to retrieve them, just import that file.
Comment 127 Christian Ascheberg 2006-12-14 11:22:09 PST
I've seen some strange behavior at work that reminded me of this bug (btw: this bug still happens to me at home all the time...) so what happened:
I had Firefox opened with (quite a) few tabs open and closed it normally. I've configured it the way that Firefox always starts the last Session again. The next thing I did was clicking a link from another program, the result was that Firefox started showing the chosen URL (without opening the tabs from the last Session) but at the same time all the settings and bookmarks and settings for plugins were reset. I closed Firefox after that and when I opened it again later, all the settings were ok again, just as I had set them up.
So any ideas about that? I do use WinXP SP2 and FF 2.0 at work. (This also might be a new bug, I've never seen this happen before)
Comment 128 Mike Connor [:mconnor] 2006-12-14 14:18:29 PST
(In reply to comment #125)
> Losing all my bookmarks has upset me greatly! This is the 2nd time this has
> happened with Firefox... Why can't they be saved and backed up like IE ??? Why
> are there no soulutions offered from Tech Support ?? I may have to go back to
> IE.  Also,this process of reporting problems is as bad as the problems
> themself.
> 

there are solutions and they have been posted to this bug.  Try reading comment #71.  Also this isn't tech support, this is for tracking and fixing things that are wrong with the firefox code. See irc.mozilla.org or forums.mozillazine.org for user support
Comment 129 Olaf van der Spek 2006-12-14 14:29:42 PST
> there are solutions and they have been posted to this bug. 

Do you mean work arounds?
This bug doesn't appear to be fixed yet.
Comment 130 Majken Connor [:Kensie] 2006-12-14 14:51:10 PST
(In reply to comment #129)
> > there are solutions and they have been posted to this bug. 
> 
> Do you mean work arounds?
> This bug doesn't appear to be fixed yet.
> 

Sorry, that last comment was me, didn't realize mconnor was still logged in here.

Whether or not they're solutions or workarounds depends on the cause.  I used the word solutions in the context that was originally used in the quoted text.
Comment 131 zan mcleod 2006-12-15 14:20:46 PST
As usual,this was partly preventable,and fixable...I found my "Bookmarks Backup" in my "Profile" folder in my Documents and Settings tree...I hit 'import" and my "lost bookmarks" came back came back !
Comment 132 Nick Thomas [:nthomas] 2006-12-20 01:09:16 PST
*** Bug 364431 has been marked as a duplicate of this bug. ***
Comment 133 danws 2006-12-21 18:12:27 PST
This is critical.  Please get "lost bookmarks" issue resolved.  Two years of work down the drain.
Comment 134 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-12-22 06:25:57 PST
(In reply to comment #133)
> This is critical.  Please get "lost bookmarks" issue resolved.  Two years of
> work down the drain.

Did you check the bookmark backups folder?
Comment 135 danws 2006-12-22 09:16:38 PST
This turns out to be a doc issue more than anything, i.e., finding and accessing the backups.  No need to search directories with "meaningless" strings since the backups are neatly packaged and immediately accessible via the "Export" function in the Bookmarks manager.
Comment 136 Ria Klaassen (not reading all bugmail) 2006-12-23 07:52:45 PST
*** Bug 364796 has been marked as a duplicate of this bug. ***
Comment 137 Jan Bobolz 2006-12-28 04:22:00 PST
I've had the same issue (bookmarks not saved, always default size of window on startup), it occured immediately after installing Firefox 2.0.0.1 (no update) on Vista RC1.

After setting the whole profile-folder writeable, those problems were solved. (Same for Thunderbird btw, where addon settings were not saved.)
Comment 138 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-02 04:37:26 PST
*** Bug 363037 has been marked as a duplicate of this bug. ***
Comment 139 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-02 04:49:48 PST
*** Bug 359321 has been marked as a duplicate of this bug. ***
Comment 140 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-02 06:49:12 PST
*** Bug 351395 has been marked as a duplicate of this bug. ***
Comment 141 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-02 23:34:37 PST
*** Bug 364186 has been marked as a duplicate of this bug. ***
Comment 142 cp2001 2007-01-04 07:51:19 PST
(In reply to comment #137)
> 
> After setting the whole profile-folder writeable, those problems were solved.
> (Same for Thunderbird btw, where addon settings were not saved.)

I can confirm the same effect on Win2k: Installing (new, no update) FF 2.0.0.1 on a freshly installed Win2k had the same odd behavior of toolbars and bookmarks. After setting the whole profile folder (and all subfolders and files) to writable saving of toolbars and bookmakrs worked fine. In fact, localstore.rdf was set readonly before. 

I'm not sure anymore but I think saving worked fine from the beginning when using the Windows Administrator account, the bug maybe only occured with other Windows user accounts. 

Maybe a simple problem with the file permission attributes?


 

Comment 143 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-04 07:59:45 PST
(In reply to comment #142)
> 
> Maybe a simple problem with the file permission attributes?
> 

If you are using the DE (german) Version of Firefox 2001, it could be Bug 364599

Comment 144 Phil Ringnalda (:philor) 2007-01-04 16:38:03 PST
*** Bug 365979 has been marked as a duplicate of this bug. ***
Comment 145 Ria Klaassen (not reading all bugmail) 2007-01-05 11:21:26 PST
*** Bug 366045 has been marked as a duplicate of this bug. ***
Comment 146 Nick Thomas [:nthomas] 2007-01-07 06:03:37 PST
*** Bug 366221 has been marked as a duplicate of this bug. ***
Comment 147 Phil Ringnalda (:philor) 2007-01-10 19:32:16 PST
*** Bug 366638 has been marked as a duplicate of this bug. ***
Comment 148 Steve England [:stevee] 2007-01-11 09:30:34 PST
*** Bug 366699 has been marked as a duplicate of this bug. ***
Comment 149 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-16 03:16:25 PST
*** Bug 349218 has been marked as a duplicate of this bug. ***
Comment 150 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-16 03:24:08 PST
*** Bug 364532 has been marked as a duplicate of this bug. ***
Comment 151 Jay Patel [:jay] 2007-01-17 15:18:57 PST
Can't block on this, since it's not well understood and needs an owner.  Let's try to find someone to dig into this and see if we can get a handle on it for next time.
Comment 152 Ria Klaassen (not reading all bugmail) 2007-01-19 02:11:00 PST
*** Bug 367473 has been marked as a duplicate of this bug. ***
Comment 153 Ria Klaassen (not reading all bugmail) 2007-01-19 13:11:56 PST
*** Bug 367526 has been marked as a duplicate of this bug. ***
Comment 154 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-23 00:30:28 PST
*** Bug 367810 has been marked as a duplicate of this bug. ***
Comment 155 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-24 05:44:17 PST
*** Bug 321657 has been marked as a duplicate of this bug. ***
Comment 156 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-24 06:00:56 PST
*** Bug 322166 has been marked as a duplicate of this bug. ***
Comment 157 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-24 15:08:07 PST
*** Bug 364723 has been marked as a duplicate of this bug. ***
Comment 158 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-24 15:13:33 PST
*** Bug 350360 has been marked as a duplicate of this bug. ***
Comment 159 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-24 15:18:21 PST
*** Bug 336461 has been marked as a duplicate of this bug. ***
Comment 160 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-24 15:32:54 PST
*** Bug 351259 has been marked as a duplicate of this bug. ***
Comment 161 David Brannam 2007-01-24 17:06:36 PST
As an original reporter of the bookmarks problem when ff 2 was released, I am glad to see some merging of trouble reports. I can't use FF 2+ without a fix. The only thing I've seen in this whole list that might be a solution is mentioned in  #137 and #142 (making profile folder writable). I will wait for final confirmation of a fix before re-installing FF 2+. However #142, mentions a possibility that administrator is immune to the problem, it is not. I always run as administrator. I'd also suggest that whoever wrote (or re-wrote) the bookmarks routine(s), compare the ff 1 and ff2 versions. FWIW: I don't really care for the way bookmarks is designed, I like IE's better. A rewrite attempt would likely flush out the culprit. 
Comment 162 John 2007-01-24 22:11:30 PST
Here is more information on this ongoing adventure:
The path I followed in comment #60 led no where. My frustration got the better of me and I uninstalled FF2 and used IE7. I HATE IE! Though I had no reoccureance of the problem. My personal anomosaty got the better of me and I reinstalled FF2 but kept IE7 as my default. An interesting thing has happened. Now I get the dreeded blue screen when I use IE7 and when I use FF2. When it happens in IE7 the only problem I can desern is that it moves my Outlook and Word icons on my desktop to the last possion. When it happens (much less frequently) in FF2 the same results occure as in the comments above. I hope this helps.
Comment 163 Olaf van der Spek 2007-01-25 03:07:48 PST
> Can't block on this, since it's not well understood and needs an owner.  

You're kidding right?
Or are there bugs with many more duplicates?

> Let's try to find someone to dig into this and see if we can get a handle on it for next time.

Comment 164 timeless 2007-01-25 06:08:15 PST
you could check for yourself: https://bugzilla.mozilla.org/duplicates.cgi

there are 6.

And no, jay is not kidding. it needs an owner. we don't block releases forever just because there are bugs. and if there's no owner, it's highly unlikely the bug will be fixed.
Comment 165 Olaf van der Spek 2007-01-25 06:15:15 PST
> there are 6.

Hmm, I count much more, although this seems to be the most important one.

> And no, jay is not kidding. it needs an owner.

So what needs to happen before it gets an owner?

I agree that there's not really a reason to block on it, but I also get the impression that there's no/little work done on this bug at all. It has been reported months ago and lots of users are affected by it in an important way.
Comment 166 Axel Hecht 2007-01-25 06:43:02 PST
This bug gives some details on the symptoms of something going wrong. Yet, nobody able to map those symptoms to code problems could reproduce that behaviour, thus it's not clear what to fix.

Anyone who's able to reproduce this bug knowing a Mozilla hacker close by? You might want to invite someone over for a cup of coffee and a thorough inspection of your profile. Maybe even get that hacker to run a debug build on your machine/profile.

Once we know the root cause, we can hunt for an owner and a patch.
Comment 167 Olaf van der Spek 2007-01-25 08:41:51 PST
Corrupt files have been attached to this bug report. I think you should at least detect corrupt files and rename them so a fresh file can be written and new changes aren't lost.
Comment 168 Kevin Brosnan 2007-01-26 14:01:04 PST
*** Bug 368352 has been marked as a duplicate of this bug. ***
Comment 169 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-28 23:10:39 PST
*** Bug 368533 has been marked as a duplicate of this bug. ***
Comment 170 Majken Connor [:Kensie] 2007-01-29 22:59:50 PST
What's happening here is Firefox isn't being exited properly.  It's being terminated while it's still writing to the rdf files in question.  One possible cause is a plugin or trojan that is preventing firefox.exe from shutting down.

http://kb.mozillazine.org/Lost_bookmarks#Bookmarks_always_missing_after_restart

http://kb.mozillazine.org/Firefox.exe_always_open

We really should sit down and merge more of these reports.  Some were left open to investigate whether there was something to do with upgrading that was making this more likely to happen, but I think it's just that people are assuming the update caused the issue and that it's not exactly when it happened. For instance some people will always reboot their pc when updating software when they don't usually, or they update just fine, and later that day reboot the pc and equate the issue with the update and not the reboot.

Also please note the bug this is marked as depending on.
Comment 171 Olaf van der Spek 2007-01-29 23:34:54 PST
> It's being terminated while it's still writing to the rdf files in question. 

In that case, why not either prepare the entire file in memory and then write that memory to disk or prepare the file in a new file and do an atomic move over the original file?
Comment 172 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-01-31 21:46:24 PST
*** Bug 368935 has been marked as a duplicate of this bug. ***
Comment 173 Jay Patel [:jay] 2007-02-02 16:57:21 PST
*** Bug 369158 has been marked as a duplicate of this bug. ***
Comment 174 Ria Klaassen (not reading all bugmail) 2007-02-04 23:29:37 PST
*** Bug 369320 has been marked as a duplicate of this bug. ***
Comment 175 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-02-06 02:47:07 PST
*** Bug 369470 has been marked as a duplicate of this bug. ***
Comment 176 Steve Franz 2007-02-06 06:24:30 PST
I have tried a few things from this comment string, but because the bookmarks never save, and I am running the new 2.0.0.1 release, I am giving up... it would be nice if somebody could figure this out.  
Comment 177 Majken Connor [:Kensie] 2007-02-06 14:52:21 PST
This is not a support forum.  If you want help getting your bookmarks back/solving an issue you should not be here.  There are plenty of links in this bug already to the support channels, but here they go again.

http://kb.mozillazine.org

on irc #firefox in irc.mozilla.org

There are already solutions available in these places for any issue anyone in this bug is experiencing, aside from what's causing the files to corrupt in the first place.
Comment 178 reescf 2007-02-06 19:30:06 PST
I don't know if this is relevant. If it is a different bug or something else, please excuse this. I'm mentioning this here because a search turned this bug up and it seems at least related.

Since upgrading to Firefox 2 (now on 2.0.0.1), changes made to toolbars do not survive restarts or, even, the opening of new windows. Confirming attempted changes does not entirely dismiss the sheet dialog, but only blanks it. Customisations made prior to upgrading are not affected.

Mac OS X 10.4.8 PPC (PowerBook G4, but currently eMac booted from backup clone on external drive in case it matters).

I have not attempted replacing localstore.rdf because it isn't worth the trouble it would be to re-customise although I'll have to soon or things will get too messy.

Bookmarks and searchengines are unaffected.
Comment 179 Vincent Lefevre 2007-02-08 19:00:00 PST
I've upgraded from Firefox 1.5.x to Firefox 2.0.0.1, and I have the same problem as the one described in bug 359321 under Mac OS X 10.4.8. BTW, since bug 359321 has been marked as a duplicate of this bug, Hardware/OS should be set to All/All.
Comment 180 Ria Klaassen (not reading all bugmail) 2007-02-21 23:29:42 PST
*** Bug 371134 has been marked as a duplicate of this bug. ***
Comment 181 Nick Thomas [:nthomas] 2007-02-25 03:17:51 PST
*** Bug 371602 has been marked as a duplicate of this bug. ***
Comment 182 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-02-28 00:17:20 PST
*** Bug 371927 has been marked as a duplicate of this bug. ***
Comment 183 Maggie 2007-03-03 07:55:17 PST
These problems (loss of bookmarks and failure of customized/preferences tool bar(s) after restart of FF) just began last night.  Running W2Kpro, FF 2.0.0.2.

Diary, as best as I can recall after a very long night:

I lost one of my non-system drives night before last.  Last night, after installing new HD, ran full chkdsk. Immediately afterwards, FF working fine. Did some housekeeping routines normal for my system (non-invasive to FF) ... Cold boot, started FF and suddenly I had 10 tool bars (the only tool bar not present was my custom TB) and my bookmarks had gone poof.  

What I cannot confirm is if any updates occurred before or after the cold boot. 

What I find strange is that creating a new profile, going through the whole customizing routine and grabbing a backup of my bookmarks, restarting FF under new profile reverted to 'corrupt' state of previous profile. Grrrr. Repeated same sequence without grabbing bookmarks ... same result after restart.  I burned all my profile backups and removed them from my HDs, un-installed FF, cleaned out registry, yada yada ... Clean install, new profile ... did some customizing, did NOT import bookmarks and after restarting FF, back to the same problem.  Again, un-installed, cleaned out, etc ... this time I migrated a backed up profile from 2 weeks ago ... looked GREAT first FF start ... when it went sour next restart I began searching and here I am.

As a lowly systems analyst I figured that any chain of events regarding this problem cannot hurt ... any might help.  Will check back to see if there are any further comments or progress ... maybe even solutions ;)
Comment 184 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-05 05:51:04 PST
*** Bug 361750 has been marked as a duplicate of this bug. ***
Comment 185 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-05 08:00:59 PST
*** Bug 372497 has been marked as a duplicate of this bug. ***
Comment 186 Charlotte Collins 2007-03-05 23:53:03 PST
This is a Firefox problem so why aren't they doing anything about fixing it?  They should know how too.It has been going on long enough and is got to the point of being annoying.I have removed and readded Firefox more times than I can count and the problem is still happening.GET YOUR FINGER OUT FIREFOX AND DO YOUR JOB!
Comment 187 Marc 2007-03-12 20:16:26 PDT
Just lost all bookmarks after second startup since downloading updated Firefox . I'm not a computer pro so any help in recovering my bookmarks would be appreciated , that is if they are even recoverable .
Comment 188 Ria Klaassen (not reading all bugmail) 2007-03-14 06:23:27 PDT
*** Bug 373903 has been marked as a duplicate of this bug. ***
Comment 189 Adam Guthrie 2007-03-15 08:30:20 PDT
*** Bug 374033 has been marked as a duplicate of this bug. ***
Comment 190 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-17 07:46:58 PDT
*** Bug 374317 has been marked as a duplicate of this bug. ***
Comment 191 Liam K. 2007-03-18 20:12:08 PDT
This bug also happens on Windows 2000.
Comment 192 Craig Bond 2007-03-20 05:04:23 PDT
Internet Explorer is looking more appealing all the time...
Comment 193 Craig Bond 2007-03-20 05:14:47 PDT
So I deleted the localstore.rdf file, but it didn't fix a d*mn thing.  I removed Firefox and reinstalled it...How is it possible to continue using Firefox when I need to reset my settings EACH time I start and it doesn't even save my bookmarks?  Well in all sincerity, I do want to say thank you, Mozilla.  It's been a great ride while it lasted, but until this gets fixed, I'm back to IE.  =(
Comment 194 Marc 2007-03-20 06:13:22 PDT
Uninstalled Firefox completely . Went back and downloaded the newest version and that seemed to fix it . Bookmarks are back and it has been running smooth ever since . I'm keeping my fingers crossed though .
Comment 195 Steve England [:stevee] 2007-03-20 11:02:11 PDT
*** Bug 374614 has been marked as a duplicate of this bug. ***
Comment 196 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-22 11:11:45 PDT
*** Bug 354184 has been marked as a duplicate of this bug. ***
Comment 197 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-22 13:21:48 PDT
*** Bug 374961 has been marked as a duplicate of this bug. ***
Comment 198 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-25 14:40:38 PDT
*** Bug 375317 has been marked as a duplicate of this bug. ***
Comment 199 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-26 12:37:37 PDT
*** Bug 375443 has been marked as a duplicate of this bug. ***
Comment 200 Phil Ringnalda (:philor) 2007-03-26 23:38:09 PDT
*** Bug 364802 has been marked as a duplicate of this bug. ***
Comment 201 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-03-27 15:18:11 PDT
*** Bug 333399 has been marked as a duplicate of this bug. ***
Comment 202 Mirek Komárek 2007-03-30 12:25:28 PDT
OK a lot information and no one usable, I have as in the comment 40 and 193 absolutely the same symptoms and  I am really angry, because I have this silly problem already on second computer (probably have to switch after years to another browser).  Anyway in my opinion problems happen due to conflict with firewalls, it is not listed here. One first computer it was Spyware terminator in combination with free Aol antivirus, on the other one Jetico firewall with combination with Spyware Search and Destroy and NOD32 antivirus. In both cases I allow all the process, but firewall was bit crazy from processes in temp. I check both PC very carefully against spyware, viruses and trojans, this means pick up HDD and checked on another PC with new windows and I did not find any problem, so I think something was broken due to conflict between firewall and FF install. Localstore.rdf, safe mode and so one not help, just new profile is OK but how to get all the passwords collected during 3 years?
Comment 203 Nick Thomas [:nthomas] 2007-03-31 14:34:11 PDT
*** Bug 376118 has been marked as a duplicate of this bug. ***
Comment 204 Dylan Piergies 2007-03-31 14:43:29 PDT
(In reply to comment #203)
> *** Bug 376118 has been marked as a duplicate of this bug. ***
> 

I don't think 376118 is a duplicate of this bug. Toolbars, bookmarks and all other profile information remain intact in 376118. 376118 DOES NOT occur under Windows in the way described.
Comment 205 Vincent Lefevre 2007-03-31 18:11:46 PDT
(In reply to comment #204)
> I don't think 376118 is a duplicate of this bug. Toolbars, bookmarks and all
> other profile information remain intact in 376118. 376118 DOES NOT occur under
> Windows in the way described.

But this bug is not specific to Windows. Or bug 359321 (which occurs on Mac OS X) needs to be reopened.
Comment 206 Ria Klaassen (not reading all bugmail) 2007-04-03 22:54:37 PDT
*** Bug 376437 has been marked as a duplicate of this bug. ***
Comment 207 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-04-04 08:49:59 PDT
*** Bug 376488 has been marked as a duplicate of this bug. ***
Comment 208 Harvey 2007-04-04 09:31:28 PDT
It appears no one is home and no one is answering the mail...like most everyone, I got updated, lost my bookmarks, got my home page hijacked by Foxfire...looking for another browser...any suggestions...Harv
Comment 209 Majken Connor [:Kensie] 2007-04-04 15:05:55 PDT
ok everyone, pardon the all caps, but I think it's the only way to make this eye catching.

TO GET YOUR BOOKMARKS BACK READ THE LINK AT THE TOP OF THE PAGE IN THE URL FIELD, OR SEEK SUPPORT http://mozilla.com/support 

ANY FIX TO THIS BUG WILL ONLY PREVENT IT FROM HAPPENING IN THE FUTURE, IN THE MEAN TIME FOLLOW THE SUPPORT LINKS TO FIND OUT HOW TO RESTORE YOUR FILES, AND AVOID THIS IN THE FUTURE.

This has been repeated throughout the bug, but it seems people aren't reading all the comments.
Comment 210 Harvey 2007-04-04 15:18:21 PDT
"TO GET YOUR BOOKMARKS BACK READ THE LINK AT THE TOP OF THE PAGE IN THE URL
FIELD"...........

AT THE TOP OF WHAT PAGE?

Why not just give us a simple step by step way to correct the problem in this format....Harv
Comment 211 Majken Connor [:Kensie] 2007-04-04 15:28:34 PDT
the link at the top of THIS page, where it says summary, keywords, whiteboard, etc.  This isn't a support forum, it's a bug tracking forum.  The detailed instructions on how to restore your files have been linked 7 times throughout the comments.  The support link also has a link directly to the support article, but here it is one more time http://kb.mozillazine.org/Lost_bookmarks

If you want some 1 on 1 support rather than dealing with articles, please follow the support link to either the Message Boards, Newsgroups, or Online Chat. You can find me on online chat with the nickname Lucy.
Comment 212 Harvey 2007-04-05 06:14:02 PDT
I don't know if this will help anyone else, but I managed to resolve the lost bookmarks issue.... on my PC there wasn't a "Bookmark" or a "Favorites" file that had the up to date bookmarks, (I guess it got deleted by the unsolicited Foxfire update) anyway,  by locating the  "bookmarkbackups" folder and reloading from it resolved the issue...however, finding the "bookmarkbackups folder did take a while because of it's name and location....I guess we all recognize by now this isn't a so called "Support Forum", so....another solution I have found was to bring Internet Explorer favorites up to date as a back-up....will probably use it as my primary browser now, simple because of the lack of social skill by the moderator of this forum.......Harv
Comment 213 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-04-05 16:23:38 PDT
*** Bug 376357 has been marked as a duplicate of this bug. ***
Comment 214 mjrmildew 2007-04-05 19:14:31 PDT
Uninstall Deleting and Reloading Firefox didn't help.
turning off firewalls didn't help.
deleting everything in the localstore.rdf didn't work.
Removing localstore.rdf file didn't work.

What next?
Comment 215 mjrmildew 2007-04-05 19:15:22 PDT
Uninstall Deleting and Reloading Firefox didn't help.
turning off firewalls didn't help.
deleting everything in the localstore.rdf didn't work.
Removing localstore.rdf file didn't work.

What next?
Comment 216 VanillaMozilla 2007-04-13 16:04:02 PDT
A suggestion.  Firefox works fine after deletion of localstore.rdf.  As a temporary fix, consider ignoring the file on startup.  A corrupted file has no effect if it's not even read.  I don't know what penalty there might be, but it doesn't seem very noticeable.

I added a couple of "DO NOT POST SUPPORT REQUESTS HERE", including one in (gasp) the summary.  I suggest that henceforth you send people to the Support Forum but do not give ANY support.
Comment 217 Vincent Lefevre 2007-04-13 16:18:06 PDT
(In reply to comment #216)
>Firefox works fine after deletion of localstore.rdf.

No, this is wrong. Deleting localstore.rdf has no effect.
Comment 218 Vincent Lefevre 2007-04-13 16:19:31 PDT
Also, once again, hardware/OS should be set to All/All.
Comment 219 Majken Connor [:Kensie] 2007-04-13 16:30:31 PDT
GO TO http://mozilla.com/support FOR HELP RESTORING YOU FILES. THIS BUG IS FOR DETERMINING CAUSES OF THE FILE CORRUPTION, AND A CODE FIX THAT WILL STOP IT FROM HAPPENING IN THE FUTURE.

IF YOUR FILES ARE AFFECTED GO TO http://mozilla.com/support FOR HELP RESTORING YOUR FILES. THE FIXES **WILL** WORK.
Comment 220 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-04-13 16:51:21 PDT
*** Bug 377445 has been marked as a duplicate of this bug. ***
Comment 221 Vincent Lefevre 2007-04-13 17:11:12 PDT
(In reply to comment #219)
> IF YOUR FILES ARE AFFECTED GO TO http://mozilla.com/support FOR HELP RESTORING
> YOUR FILES. THE FIXES **WILL** WORK.

But the problem is not just restoring files. The files get corrupt while using Firefox (always reproducible). And there seems to be no solution for that.
Comment 222 Majken Connor [:Kensie] 2007-04-13 17:28:01 PDT
Vincent - then you're seeing a different bug, and should file your own report with as much info as possible. I'd be more than happy to help triage the issue with you personally, via email or on irc - irc.mozilla.org #firefox .
Comment 223 Liam K. 2007-04-13 18:18:14 PDT
There are two different things about my problem:

1. I have a Windows 2000, not XP
2. It wasn't corrupt after updating again, but I still lost my bookmarks and search engines, and I have problems adding bookmarks (they will save as blank if I don't change the name before saving the bookmark)
Comment 224 Majken Connor [:Kensie] 2007-04-14 00:05:49 PDT
Liam please seek support http://mozilla.com/support

Firefox only keeps 5 days of bookmarks backups, so you need to restore them ASAP. You also need to reset your localstore.rdf (why bookmarks aren't saving properly).  Please see the support link for instructions on how to do this, or to find someone to walk you through it.

http://mozilla.com/support
Comment 225 Vincent Lefevre 2007-04-14 00:51:34 PDT
(In reply to comment #222)
> Vincent - then you're seeing a different bug, and should file your own report

The report was *already* filled (by someone else) in bug 359321, but this bug was marked as a duplicate of bug 319196.
Comment 226 Liam K. 2007-04-14 12:16:01 PDT
(In reply to comment #224)
> Liam please seek support http://mozilla.com/support
> Firefox only keeps 5 days of bookmarks backups, so you need to restore them
> ASAP. You also need to reset your localstore.rdf (why bookmarks aren't saving
> properly).  Please see the support link for instructions on how to do this, or
> to find someone to walk you through it.
> http://mozilla.com/support

It was a long time ago. The backup file was empty. I tried posting on the Firefox Support forums, but I guess my title wasn't good (HELP!!!) and the person who answered was very rude anad just told me to read a bookmarks lost article in the Knowledge Base. I just dealt with it, and after the next update thee only problem I was having was with the bookmarks.
Comment 227 Nick Thomas [:nthomas] 2007-04-16 12:50:17 PDT
*** Bug 377667 has been marked as a duplicate of this bug. ***
Comment 228 Scott Carpenter 2007-04-19 12:23:33 PDT
custumized toolbars and browser size not saved on exit and restart
Comment 229 Ria Klaassen (not reading all bugmail) 2007-04-19 13:54:57 PDT
*** Bug 378059 has been marked as a duplicate of this bug. ***
Comment 230 Ria Klaassen (not reading all bugmail) 2007-04-19 14:58:02 PDT
*** Bug 378074 has been marked as a duplicate of this bug. ***
Comment 231 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-04-22 21:46:59 PDT
*** Bug 378394 has been marked as a duplicate of this bug. ***
Comment 232 prashant 2007-04-26 23:14:37 PDT
Bug

Comment 233 Adam Guthrie 2007-04-30 08:42:53 PDT
*** Bug 379254 has been marked as a duplicate of this bug. ***
Comment 234 Kevin Brosnan 2007-04-30 11:06:15 PDT
*** Bug 379276 has been marked as a duplicate of this bug. ***
Comment 235 Jay Imerman 2007-05-02 05:34:19 PDT
*** Bug 379276 has been marked as a duplicate of this bug. ***
Comment 236 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-05-03 05:17:48 PDT
*** Bug 369861 has been marked as a duplicate of this bug. ***
Comment 237 Nick Thomas [:nthomas] 2007-05-09 07:21:17 PDT
*** Bug 380150 has been marked as a duplicate of this bug. ***
Comment 238 Kath 2007-05-09 17:22:53 PDT
My bookmarks are fine, but the customizable toolbar resets to default on restart. This started immediately after a recent automatic upgrade.
Comment 239 K 2007-05-15 11:20:33 PDT
Hello, I'm concerned because I think i have all the symptoms of this bug (bookmarks, addons, search engines and skin were all reset to default) plus one other: I am unable to 'submit' information in any way.

Examples: When I was re-customising my google toolbar, the 'OK' button did not save my settings and close the dialogue window, the window remained on screen. When i tried to log into my email account the 'log in' button did nothing when i clicked on it, etc.

Pressing enter doesn't work either. I'm using windows xp, and i think the problem occurred after an automatic update (i'm not 100% certain on this though).
Comment 240 K 2007-05-15 23:31:12 PDT
my point is, this may be another symptom of the same bug.
Comment 241 Mirek Komárek 2007-05-16 04:36:28 PDT
I have simmilar symptoms at my home computer, enter seems to me at first not working, but it doing something strange - on enter it search text from clipboard on google (which is set as default in address bar) instead of submit on enter in forms an so on. That is very uncomfortable for me to use Opera after years with Firebird, Firefox, etc., but I have to because from my comment here https://bugzilla.mozilla.org/show_bug.cgi?id=319196#c202 is no solution how to simply export passwords to different profile.
Comment 242 Majken Connor [:Kensie] 2007-05-16 09:22:11 PDT
You can just copy the files over. Any of the support avenues can help you with this if you have trouble with the knowledge base article.

K - it's not. You really want to follow the support link.
Comment 243 K 2007-05-16 11:58:53 PDT
Ok, except i can't find anything related to submitting information on the support link.
Comment 244 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-05-22 01:16:27 PDT
*** Bug 361422 has been marked as a duplicate of this bug. ***
Comment 245 Kevin Brosnan 2007-05-31 11:55:41 PDT
*** Bug 363324 has been marked as a duplicate of this bug. ***
Comment 246 Kevin Brosnan 2007-05-31 12:32:15 PDT
*** Bug 382662 has been marked as a duplicate of this bug. ***
Comment 247 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-06-25 23:26:40 PDT
*** Bug 385868 has been marked as a duplicate of this bug. ***
Comment 248 gavin 2007-07-18 20:34:45 PDT
(In reply to comment #15)
> how about we try and find out if this is *Actually* a specific issue killing
> all these people's bookmarks.html and localstore.rdf files as there was killing
> just the localstore.rdf or are you going to add "resolved - probably random" as
> a resolution?
> 

Yes I agree - it is a major problem - my bookmarks were deleted on upgrading and this is a serious issue for me and any other potential upgraders. Firefox should not release this version until this issue is resolved.
I feel like not wanting to upgrade my firefox anymore in the future!
Comment 249 Majken Connor [:Kensie] 2007-07-18 20:57:40 PDT
gavin - did you also reboot your computer when you upgraded? If so did you reboot *because* you upgraded, or do you regularly reboot your machine?
Comment 250 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-07-19 08:37:08 PDT
*** Bug 388797 has been marked as a duplicate of this bug. ***
Comment 251 Denis 2007-07-22 16:04:18 PDT
The netcraft toolbar (http://toolbar.netcraft.com/) under firefox 2.0.05 under Vista always  prevent the  bookmarks and the personal toolbar to show up.
Comment 252 Valerio Capello 2007-07-30 03:45:14 PDT
I don't know if this is the same bug, but I'm experiencing a similar problem on Firefox/2.0.0.5 Gecko/20070713, Windows XP SP-1.

Sometimes (generally after restarting Firefox when it found updated add-ons), most add ons appear to be disabled (although they all are still marked as enabled in the add-ons box), and bookmarks are missing too.

Generally add-ons and bookmarks are automagically restored after restarting Firefox a few times. And yet some add-ons may still be missing, for example ImageZoom is no longer working.

Another issue that may or may not be related to this bug is that Firefox refuses to open new windows: when you try to open a new window, nothing happens (but it still opens new tabs).
Comment 253 Valerio Capello 2007-07-30 03:54:18 PDT
Following a quick investigation, it seems the problem is related to firefox.exe still running in the background, as reported in the comments above.

I'm almost sure I have no trojans running on my system, anyway if I manually close firefox.exe from the task manager, and then I start Firefox, everything run smoothly again: all add ons are working, bookmarks are loaded properly, and new windows will open.
Comment 254 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-08-01 09:33:38 PDT
*** Bug 390475 has been marked as a duplicate of this bug. ***
Comment 255 Kevin Brosnan 2007-08-03 07:46:01 PDT
*** Bug 390759 has been marked as a duplicate of this bug. ***
Comment 256 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-08-03 11:13:01 PDT
*** Bug 390834 has been marked as a duplicate of this bug. ***
Comment 257 Ria Klaassen (not reading all bugmail) 2007-08-04 08:56:52 PDT
*** Bug 390915 has been marked as a duplicate of this bug. ***
Comment 258 Ria Klaassen (not reading all bugmail) 2007-08-06 01:55:05 PDT
*** Bug 391035 has been marked as a duplicate of this bug. ***
Comment 259 Ria Klaassen (not reading all bugmail) 2007-08-11 00:32:45 PDT
*** Bug 391796 has been marked as a duplicate of this bug. ***
Comment 260 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-09-03 08:54:03 PDT
*** Bug 394760 has been marked as a duplicate of this bug. ***
Comment 261 Antonio García 2007-09-03 10:35:49 PDT
Your irresponsible attitude towards user´s bookmarks is one of the reasons why you keep loosing clients
how  many times U think a normal user is willing to cope with this time consuming ineptitude?
Comment 262 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-09-20 18:24:56 PDT
*** Bug 396995 has been marked as a duplicate of this bug. ***
Comment 263 Pam 2007-09-20 20:31:09 PDT
Finally no longer a problem with the most recent upgrade. I am in shock. This has been a thorn in my side for many an update. Finally no more. If someone intentionally solved this issue, great thanks go to you. I would suggest however, a faster turnaround for such substantial bugs, because I think I had to live with it for at least a year.
Comment 264 Stephen Sanders 2007-10-03 22:15:52 PDT
Problem signature
Problem Event Name:	APPCRASH
Application Name:	firefox.exe
Application Version:	0.0.0.0
Application Timestamp:	4703857c
Fault Module Name:	xul.dll
Fault Module Version:	0.0.0.0
Fault Module Timestamp:	470385bf
Exception Code:	c0000005
Exception Offset:	0036ab67
OS Version:	6.0.6000.2.0.0.768.3
Locale ID:	1033
Additional Information 1:	23fd
Additional Information 2:	ee2797ba199f61bfaf9863370854e6bb
Additional Information 3:	11f6
Additional Information 4:	b71ffc0f49e8e64197c72edfc2948ec3

Extra information about the problem
Bucket ID:	529469646
Comment 265 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-10-23 12:40:14 PDT
*** Bug 400877 has been marked as a duplicate of this bug. ***
Comment 266 Mike Connor [:mconnor] 2007-10-27 11:09:09 PDT
We've done a number of things to mitigate/prevent this on trunk, we should try to get some data/attempted reproduction on trunk.  Between journalled writes to the DB for bookmarks/history, handling localstore corruption in a better way, and the XRE shutdown bug fixed sanely, I think we've pretty much eliminated this for Firefox 3 (most of these probably can't get safely included in Firefox 2 due to risk of regressions, unfortunately, but we've been trying to get what we can in).

Can anyone still reproduce this in nightly trunk builds or the upcoming beta?  If not, I think this is done as far as firefox 3 is concerned.
Comment 267 Christian Ascheberg 2007-10-27 16:48:01 PDT
I always use the latest trunk version and I have the feeling that there are no problems with the bookmarks anymore. But sometimes I still lose preferences like the start page and download options (I guess I did not change anything else) but at least it is no problem anymore to reconfigure these things.
Comment 268 Tony 2007-10-28 15:57:57 PDT
I lost all the websites I needed for my midterm. Thank you Mr. Mozilla
Comment 269 Tate Cooper 2007-10-29 12:38:16 PDT
I've been having the same problem that everyone else seems to be having. Bookmarks, history, toolbars, all reset as if it was the first install. Used System restore to revert to when it was working. I don't remember having a crash/ctd or anything. Just happened some day.

Usually close with X
Windows XP SP2
Using rv:1.8.1.8
Comment 270 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-11-04 06:47:34 PST
*** Bug 402402 has been marked as a duplicate of this bug. ***
Comment 271 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-11-04 15:16:39 PST
*** Bug 402475 has been marked as a duplicate of this bug. ***
Comment 272 Ngamer01 2007-11-07 09:42:07 PST
Though it's probably way too late to offer input, I still wanted to offer my input/idea on the matter.

Back when Firefox 1.5 final launched is when I had problems with lost data/settings within Firefox.  I couldn't tell you how to reproduce this now, but I found the add-on "Open Profile Folder" on AMO.  

After getting rid of my bad profile and starting a brand new one with it customized to my liking, I downloaded Open Profile Folder and started keeping regular backups of my profiles to another area of my computer in the event any data/settings loss occured (which then I would simply nuke the bad profile and replace it with a good backup copy).

My thoughts were this:  Why not have Firefox automatically make backups of all profile folders (of course you'd have the options of how often to backup or turning off automatic backups and where you want backups to be put at -- and in Profile Manger there would be an option to delete/import profiles)?

Even though this idea is way too late to possible to useful in relation to Firefox 3 (since it uses a different system for data/setting storing), but backing up profile folders in the event of data/setting loss would be good to implement.

If this needs a separate bug filing as an enhancement, then go for it.
Comment 273 Samuel Sidler (old account; do not CC) 2007-11-23 20:39:53 PST
*** Bug 389284 has been marked as a duplicate of this bug. ***
Comment 274 Ginn Chen 2007-11-26 02:54:20 PST
*** Bug 405411 has been marked as a duplicate of this bug. ***
Comment 275 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-11-26 22:34:20 PST
*** Bug 405496 has been marked as a duplicate of this bug. ***
Comment 276 Jason Pierce 2007-11-29 08:09:26 PST
Using Windows XP SP2. Firefox just updated to 2.0.0.10. On restart I lost all my toolbar customizations and extensions. (Bookmarks are unaffected.)
Comment 277 Yves 2007-11-29 12:46:43 PST
Exactly the same thing happened to me yesterday after the 2.0.0.10 update; lost all customizations and plugins, bookmarks unaffected. I can still see them in the extensions manager but manager freezes as soon as I click on one of them and I have to go through the process manager to kill the process. I can't reinstall any of the extensions from site. I've been searching for a solution for hours, reinstalled the latest version (twice), but really don't know how to fix this. 
Comment 278 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-12-01 08:35:49 PST
*** Bug 406296 has been marked as a duplicate of this bug. ***
Comment 279 Jason Pierce 2007-12-01 09:36:59 PST
Toolbar customizations & plugins now work following 2.0.0.11 update installation.
Comment 280 Mike Connor [:mconnor] 2007-12-13 19:09:31 PST
I'm going to clear the blocking flag for now, I haven't seen any reports of this on Fx3 since we've moved most things to sqlite at this point.  If people can still reproduce this on upgrade/crash on trunk, please renominate.
Comment 281 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-12-27 12:44:08 PST
*** Bug 409987 has been marked as a duplicate of this bug. ***
Comment 282 jeroen 2008-01-01 04:13:51 PST
Since I have updated to 2.0.0.11 I have lost my bookmarks several times. Firefox wants to update every time after restart and i lose my bookmarks complete from my computer.
I cannot find a answer for this problem. If there is an answer can somebody tell my where to find it.
Why is such a wellknow problem still in latest version, I'm still using the latest Dutch version(2.0.0.11). I never had this problem with Firefox before.

XP pro sp2 
Comment 283 Ngamer01 2008-01-01 13:24:29 PST
(In reply to comment #282)
> Since I have updated to 2.0.0.11 I have lost my bookmarks several times.
> Firefox wants to update every time after restart and i lose my bookmarks
> complete from my computer.
> I cannot find a answer for this problem. If there is an answer can somebody
> tell my where to find it.
> Why is such a wellknow problem still in latest version, I'm still using the
> latest Dutch version(2.0.0.11). I never had this problem with Firefox before.
> 
> XP pro sp2 
> 

This is not a support area.  Get support here:  http://support.mozilla.com/

As for the problem, Firefox 3 should be taking care of this problem once and for all since it uses a different storage system in recording your data, add-ons, and settings.

Oh and shouldn't somebody update this bug to make note to go to SUMO for support/troubleshooting Firefox?
Comment 284 AndrewM 2008-01-01 18:03:45 PST
(In reply to comment #283)
> Oh and shouldn't somebody update this bug to make note to go to SUMO for
> support/troubleshooting Firefox?

Yes, in fact I think it would be best to change the URLs in the URL field and the whiteboard to point directly to the article at http://support.mozilla.com/kb/Toolbar+keeps+resetting (and maybe http://support.mozilla.com/kb/Lost+Bookmarks#No_bookmarks_in_Bookmarks_menu as well?)
Comment 285 AndrewM 2008-01-01 18:10:40 PST
(In reply to comment #280)
> I'm going to clear the blocking flag for now, I haven't seen any reports of
> this on Fx3 since we've moved most things to sqlite at this point.  If people
> can still reproduce this on upgrade/crash on trunk, please renominate.

I ran into this once when upgrading from one nightly to the next a month or two ago, but not since then. I didn't lose any data and deleting localstore.rdf fixed it.

Also, since it looks like nothing more needs to be done wrt Fx 3 concerning this bug and the blocking flag has been cleared, the Target Milestone should probably be cleared as well (and also the priority?)
Comment 286 Martijn Wargers [:mwargers] (not working for Mozilla) 2008-01-02 04:19:03 PST
(In reply to comment #284)
> Yes, in fact I think it would be best to change the URLs in the URL field and

Yeah, I agree, it would probably be more helpful, so I changed that.

(In reply to comment #285)
> Also, since it looks like nothing more needs to be done wrt Fx 3 concerning
> this bug and the blocking flag has been cleared, the Target Milestone should
> probably be cleared as well (and also the priority?)

Yes, this should probably be done, but that's something that the people who are in charge of the release should be doing. Just wait for that.
Comment 287 Matthias Versen [:Matti] 2008-01-08 23:19:04 PST
*** Bug 411386 has been marked as a duplicate of this bug. ***
Comment 288 Kevin Brosnan 2008-03-08 08:39:48 PST
*** Bug 393915 has been marked as a duplicate of this bug. ***
Comment 289 Kevin Brosnan 2008-03-08 08:40:11 PST
*** Bug 393981 has been marked as a duplicate of this bug. ***
Comment 290 Kevin Brosnan 2008-03-08 08:47:32 PST
*** Bug 421592 has been marked as a duplicate of this bug. ***
Comment 291 mv424@yahoo.com 2008-03-09 00:35:19 PST
(In reply to comment #1)
> Well, it happend again (and I have no idea why)
> This time I can restore my bookmarks and they do not disappear when restarting
> firefox but I can not save any changes that have to do with the tollbars.
> Now I also tried to make these changes with latest-trunk version but they are
> not saved after restart, either.
> Can anybody tell me if there is any file that I have to delete (because it
> might be corrupted)?
> 

Hi. Could you tell me how you restored the bookmarks? The same happened to me after installing Norton 360. Thank you
Comment 292 Carsten Book [:Tomcat] - PTO-back Sept 4th 2008-03-09 14:30:34 PDT
*** Bug 421801 has been marked as a duplicate of this bug. ***
Comment 293 chargeicepic 2008-03-18 09:54:18 PDT
Steps on how i managed to reproduce this thrice.... on windows XP

1) open a window
2) start--> Turn off computer---> Restart

It seams after each time I do this and I open another Firebox window all my bookmarks setting etc. have all resetted
Yet i have no idea what this corrupted file is about, not much of a software engineer :D

I think the only way on bringing them back is:
Bookmarks: revist the sites and Ctrl+D, i am not sure how to get them back if you do not know the address
Settings: Simply go to tools then add ons (for add ons of corse)
go to tools---> options to get the menu for privacy settings etc.
hope this helped ^^
Comment 294 CVelo 2008-03-20 11:14:36 PDT
I have been able to reproduce the disappearing customized Bookmarks Toolbar - doesn't matter if Firefox 3 Beta 4 was restarted after a crash or started cleanly.   The current workaround is to just restart the browser and then the Bookmarks Toolbar with customizations come back properly.


System Info:
    Mac OSX 10.4.11
    Firefox 3 Beta 4
Comment 295 Peter 2008-03-26 09:59:32 PDT
Just upgraded to Firefox 2.0.0.13 and when I restarted the browser, all of my customized toolbar settings were lost, as well as all of my bookmarks.  Would like to know how to recover my bookmarks without revisiting every website.
Comment 296 Ngamer01 2008-03-26 11:23:42 PDT
(In reply to comment #295)
> Just upgraded to Firefox 2.0.0.13 and when I restarted the browser, all of my
> customized toolbar settings were lost, as well as all of my bookmarks.  Would
> like to know how to recover my bookmarks without revisiting every website.
> 

Reposting:  This is not a support area.  Get support here:  http://support.mozilla.com/

As for the problem, Firefox 3 should be taking care of this problem once and
for all since it uses a different storage system in recording your data,
add-ons, and settings.
Comment 297 Pedro Bezunartea 2008-04-12 18:06:54 PDT
Confirmed on 3 beta 5. I loose my bookmarks every time I restart firefox, just the bookmarks. The rest of the settings and extensions seem to be fine. My system:
- Fedora 9 beta (updated up to Apr. 13th 2008)
- Firefox, from the 'about firefox':
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008040721 Fedora/3.0-0.53.beta5.fc9 Firefox/3.0b5
If you need any more info, please let me know.
Comment 298 Majken Connor [:Kensie] 2008-04-13 11:11:12 PDT
(In reply to comment #297)
> Confirmed on 3 beta 5. I loose my bookmarks every time I restart firefox, just
> the bookmarks. The rest of the settings and extensions seem to be fine.

You're not having the same issue.  Please read the summary carefully.
Comment 299 Matthias Versen [:Matti] 2008-04-20 04:06:11 PDT
*** Bug 429910 has been marked as a duplicate of this bug. ***
Comment 300 Carsten Book [:Tomcat] - PTO-back Sept 4th 2008-05-02 16:48:53 PDT
*** Bug 431918 has been marked as a duplicate of this bug. ***
Comment 301 jim 2008-05-09 20:25:04 PDT
I confirm that the current firefox rev recently fed to my main machine trashes (actually, it clears them out) all custom toolbar tabs when firefox is restarted after an update. 

My emergency laptop has now been informed it is going to get updated, and by God, I don't want no stinkin' updating until this bug is fixed. I cannot afford to go hunting though the sites to set up my tabs after every update. As a result I'll have to leave this machine on 24/7 to avoid the update or go to a lot of useless work to reset the tabs manually.

If you can't fix the problem, then at least give us an option to abandon an update, please!!!!!!

jim
Comment 302 Pedro Bezunartea 2008-05-10 05:53:31 PDT
WFM in Ubuntu 8.04. 
Firefox: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008050509 Firefox/3.0b5

It's working just fine, except for memory issues... but that's another topic.

Great work!

Pedro.

(In reply to comment #301)
Please inform of your OS and FF versions when posting comments. :P
(Quoting Ngamer01)
This is not a support area.  Get support here: http://support.mozilla.com/
Comment 303 jamms 2008-05-13 05:56:19 PDT
Firefox 2.0.0.14 (on Windows ZP) - localstore.rdf here becomes corrupted several times a week. All custom toolbar tools including the search tool disappear. Opening a new window is usually all it takes.  A quick remedy is just keeping a backup copy, closing Firefox, and overwriting the localstore.rdf file in the Profile folder. Wrote a batch file to replace the corrupt localstore.rdf because the problem was so frequent.  Suggest temporary help to users... The cumbersome  instructions at: http://kb.mozillazine.org/Corrupt_localstore.rdf aren't necessary, at least in my experience.  Just closing Firefox and overwriting the corrupted localstore.rdf is sufficient.

Comment 304 Carsten Book [:Tomcat] - PTO-back Sept 4th 2008-06-03 10:08:36 PDT
*** Bug 392227 has been marked as a duplicate of this bug. ***
Comment 305 Liam K. 2008-06-10 15:09:20 PDT
*** Bug 363324 has been marked as a duplicate of this bug. ***
Comment 306 edzbsu 2008-06-17 23:07:40 PDT
Along with the previously mentioned errors (bookmarks, live bookmark feeds or RSS,etc.), I've attempted a system restore but Firefox no longer starts (error message).
Comment 307 Valerio Capello 2008-06-18 01:39:27 PDT
Note that some issues might be caused by extensions.

For example, yesterday I've upgraded to latest version of SAGE (1.4) which is probably incompatible with some other extension I have and I couldn't even start Firefox 3. I had to launch it in safe-mode and disable SAGE to make it work again.
Comment 308 José Jeria 2008-06-24 10:16:45 PDT
*** Bug 441560 has been marked as a duplicate of this bug. ***
Comment 309 Erin 2008-07-12 21:29:36 PDT
(In reply to comment #40)
> I'm having the same problem. Tried almost all the solutions that I've found
> here. It happened after a windows xp crash. My bookmarks disappeared, my
> customized settings changed, and I can't get them to change back. I tried safe
> mode, deleting and putting a new localstore.rdf file, I even tried
> uninstalling/delete folders/reinstalling the program. At the moment I'm stuck
> with firefox refusing to save any of my settings. Anyone point me in the right
> direction for the fix or have other ideas to what my problem could be?
> 

I am having a very similar problem.  My existing bookmarks didn't disappear, but I am unable to save any changes to my bookmarks sinc upgrading to FF3.  this is true both in the toolbar and the regular bookmarks folder.  I tried safe mode and deleting localstore.rdf, as well as making sure that no relevant profile files are "read-only," but nothing has worked.  If I can't fix this soon, I am going to have to switch web browsers.  I am using XP home.
Comment 310 Edward T Boot 2008-07-13 21:59:04 PDT
I do believe extensions could have something to do with this. Note, I am using Windows Vista, and that's the OS I was experiencing the problem with.

I recently re-installed Vista and Linux on the same PC, so I just started from scratch. I can say that Firefox performances it's best without add-ons. Until this issue is resolved, it's best to backup your bookmarks once a week, and perhaps not use extra junk in the toolbar.
Comment 311 amalan 2008-07-13 23:54:00 PDT
i am amalan 
Comment 312 Bruce 2008-07-20 16:47:15 PDT
I to have simular problem . When I first boot up and click Mozillia firefox , everything is OK but when I close and later go back on I lose all bookmarks and homepage . It just happened , when I just resubscribed to Norton 360 . I am tring to see if something to do with the firewall  
Comment 313 Takahito Torimoto 2008-07-21 19:41:58 PDT
I upgraded 4 computers from FF2 to FF3.  This issue happens on 2 out of these 4:
On random occasions (more often than 50%), Firefox 3 comes up with all of the bookmarks missing.  The only way to fix this TEMPORARILY is to kill all instances of firefox.exe from Task Manager (there are always more than 1 copy under Task Manager when this happens), and then run Firefox 3 again.  This issue still exists with FF3.01.   I have NOT been able to figure out how to fix this.
I have uninstalled Firefox, deleted the Mozilla Application Data directories (also under Local Data) as well as Mozilla Firefox under Program Files.  I then reinstalled a clean FF3.01, restored ONLY the bookmarks, extensions, and saved passwords file, and I get the same results.  Same as bug 284099 maybe?
Comment 314 Paul Hackett 2008-08-21 04:08:31 PDT
This may or may not be related to this issue (on PCs), but I have had a similar problem on the Mac (running OS X.5.4) with Firefox 3.0.1.  I imported my bookmarks from Firefox 2.0.0.16 (running under OS X.3.9).  The first time I launched Firefox, the program updated and I lost all bookmarks.  From that point on whenever I added a bookmark, closed the app & relaunched, the "new" bookmarks were gone.  That is all the same as has been reported before.

Here is the *new* information.  I categorize an subcategorize all my bookmarks (i.e., there are *no* bookmarks under the main folder, only other folders).  When I added a bookmark to a subfolder, it disappeared on relaunch, however when I added a bookmark just to the main folder (i.e., I did *not* add it to a pre-existing subfolder), quit and relaunch the app, the new bookmark in the main folder was retained, but the ones added to the subfolder were still lost.

Hope that helps.
Comment 315 Edward T Boot 2008-08-21 08:54:52 PDT
I have another strange problem regarding this bug. On Linux, it appears that some of my bookmarks were deleted, but not all of them. I do not have any add-ons installed under my Linux Firefox, only items in the toolbar.

This problem occurred after restarting Firefox.
Comment 316 Ngamer01 2008-08-21 12:12:57 PDT
(In reply to comment #315)
> I have another strange problem regarding this bug. On Linux, it appears that
> some of my bookmarks were deleted, but not all of them. I do not have any
> add-ons installed under my Linux Firefox, only items in the toolbar.
> 
> This problem occurred after restarting Firefox.
> 

Reposting:  This is not a support area.  Get support here: 
http://support.mozilla.com/

The only things that go in this bug are:
1) Trying to get to the bottom of what causes this bug exactly.  This is so a workaround or fix can be found.
2) Providing a workaround until a fix is done or submitting a patch that can fix this bug.
Comment 317 Majken Connor [:Kensie] 2008-08-22 15:30:09 PDT
Haven't seen a legitimate report of this bug in a long time, think everything's been covered by other bugs.  Resolve WFM?
Comment 318 edzbsu 2008-08-27 19:59:34 PDT
Sorry if I sound like I'm bitching and can't offer any help to others....

Did the 3.2 update last night.  
Lost all bookmarked webpages and toolbar RSS feeds AGAIN.  Browser crashed and wouldn't restart, even after a System Restore.  Had to uninstall then reinstall program.  This is the 5th time this has happened since "upgrading" to Firefox 3.  Suddenly, Firefox is developing annoying quirks that you would normally find in other web browsers like IE.  I would have thought this would have been resolved by now.
Comment 319 Robert Strong [:rstrong] (use needinfo to contact me) 2008-08-27 20:48:16 PDT
edzbsu, Firefox 3 uses a different backend for bookmarks, etc. Could you please file a bug under Firefox -> Bookmarks & History for the "Lost all bookmarked webpages and toolbar RSS feeds AGAIN."

As for the crash, did the crash reporter come up and did you submit a crash report? If so, please type about:crashes in the url bar and provide the links listed.
Comment 320 Jean-Philippe Fleury 2008-11-18 18:01:30 PST
I'm not sure if it's the same bug I'm having, but here's what happens to me:

I've updated Ubuntu 8.04 to Ubuntu 8.10 and since this update I loose my toolbar configuration in Firefox (3.0.4+nobinonly-0ubuntu0.8.10.1) when I open a new Firefox window or when I log out/back in. Example:

- I open Firefox.
- I configure my toolbar in adding "new tab" icon and removing "home" icon.
- I click File -> New window.
- This new window resets my toolbar configuration, so "home" icon backs again and "new tab" icon disappears.
Comment 321 Jean-Philippe Fleury 2008-11-18 19:27:13 PST
I read the page http://kb.mozillazine.org/Toolbar_customizations_reset_on_startup

I've closed Firefox and removed the localstore.rdf file in my profile. I have always the bug.
Comment 322 Andrew Hagen 2009-04-08 13:24:04 PDT
Would it be worthwhile to migrate the data we currently store in localstore.rdf to "localstore.sqlite"?
Comment 323 pedro reyes alejandre 2009-10-05 13:06:27 PDT
(In reply to comment #322)
> Would it be worthwhile to migrate the data we currently store in localstore.rdf
> to "localstore.sqlite"?
Comment 324 Dmitry Lipin 2010-07-08 07:17:19 PDT
*** Bug 577478 has been marked as a duplicate of this bug. ***
Comment 325 EMacA 2010-07-15 06:33:25 PDT
I'm having the same problem regarding customized tool bar resetting to default on restart.  It happens every single time I restart.
I have to unhide the nav bar which is usually hidden, plus the navbar is now below the tabs (I presume that is intentional?).

Bookmarks appear to be ok but i've noticed that the homepage doesn't load on start-up and it doesn't restore the tabs I had open (is it supposed to in Fx4?)

Fx 4.0b1 on Win XP Pro Sp3
Comment 326 Aki Sasaki [:aki] 2010-07-27 14:49:09 PDT
I'm seeing toolbar-customizations-disappearing on 4.0b3pre on Mac (20100727).
When searching for this, I found the following bugs which may be dups:

https://bugzilla.mozilla.org/show_bug.cgi?id=554444
https://bugzilla.mozilla.org/show_bug.cgi?id=531511
https://bugzilla.mozilla.org/show_bug.cgi?id=504296
https://bugzilla.mozilla.org/show_bug.cgi?id=360556
https://bugzilla.mozilla.org/show_bug.cgi?id=534259 (thunderbird)

I tried the steps in http://support.mozilla.com/en-US/kb/Toolbar+keeps+resetting and that didn't help. Also, I'm able to add bookmarks and a search engine and those don't disappear, so this may possibly be a new issue.

(In reply to comment #325)
> plus the navbar is now
> below the tabs (I presume that is intentional?).

Yes: http://blog.mozilla.com/faaborg/2010/06/24/why-tabs-are-on-top-in-firefox-4/
Comment 328 pax 2010-09-07 02:10:16 PDT
Same here: I customize my toolbar (file menu > view > toolbars > customize...)
all is lost upon browser restart: http://i.imgur.com/ebUzM.jpg

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:2.0b4) Gecko/20100818 Firefox/4.0b4
Comment 329 helnoisemaker 2010-09-19 00:20:38 PDT
Almost same here. But toolbar does not reset to default state. It just resets to some different state. As example:

1. I customize my toolbar this way: http://i.imgur.com/zXOOU.png
2. I restart Firefox soon after customization. It looks this way: http://imgur.com/geCk1.png
3. I start Firefox next day after customization. It looks this way: http://imgur.com/aokkY.png

Firefox 4.0b6, Windows XP SP3
Comment 330 thinsoldier 2010-11-01 07:28:07 PDT
I'm having a similar problem to the one pax is having. 

I have a mix of addon-buttons and bookmarks in the Bookmarks Toolbar.
I chose to hide the Addons toolbar. 
When I restart firefox all my bookmarks and buttons are where I left them but the empty Addons toolbar is visible again.
Comment 331 sriram 2010-11-14 08:52:30 PST
excuted TC 45 & was reproduciable in IE 7 and google chromo
Comment 332 Leho Kraav (:macmaN @lkraav) 2011-02-04 13:09:07 PST
i am seeing this with ff4 beta 10 on OS X. i am unable to add new one or more toolbars, they all disappear after a restart. default toolbar set customizations seem to be (re-)stored correctly. removing localstore.rdf doesn't help.
Comment 333 magnoli 2011-03-26 01:07:55 PDT
The same problem on the new Firefox 4.0, unable to add new tabs without they disappear after the restart.
Comment 334 Sean 2011-04-09 16:26:12 PDT
Having this issue on FF4 with windows 7. It seems to be at random times that the toolbar settings will reset. they just randomly reset on me today, so i restarted my computer to see it would fix it, but then my bookmarks reset to an earlier time and I was missing any changes from today. Does this sound similar to what others are experiencing?
Comment 335 bege10 2011-05-11 14:28:20 PDT
Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1 ID:20110413222027

Navigation toolbar cannot be customized, reset after every restart. Deleting localstore.rdf and disabling all add-ons doesn't help.
Customizing other toolbars is possible.

This happened after update from FF 3.6 to FF 4.0

None of the reported problems with bookmarks.
Comment 336 bege10 2011-06-11 18:56:15 PDT
Created attachment 538733 [details]
localstore.rdf of FF 4.0.1

navigation toolbar always resets after each restart of FF since update from 3.6 to 4.0 (see comment 335 https://bugzilla.mozilla.org/show_bug.cgi?id=319196#c335)
Comment 337 bege10 2011-06-11 19:21:25 PDT
(In reply to comment #336)
> Created attachment 538733 [details]
> localstore.rdf of FF 4.0.1
> 
> navigation toolbar always resets after each restart of FF since update from
> 3.6 to 4.0 (see comment 335
> https://bugzilla.mozilla.org/show_bug.cgi?id=319196#c335)

That's crazy: After having tried it 10 times and more and then having lived with this bug for a month, I tried once again to customize the navigation bar just after having sent the file attachment - and the navigation bar keeps the customization after restarting FF. Tried it three times, still no problem.
?????
Comment 338 deluvfool 2011-06-17 11:36:18 PDT
I just tried it on latest (non-beta, so 4.0.1) FF on both Mac and Windows 7. I can add a new toolbar, but on FF restart it is gone.

Looked at the localstore.rdf file on both. It seems to record some info about the new toolbars in there, yet they're not showing up after restart. They're not showing in the View...Toolbars list as well.

Added some new elements to existing toolbars and that seems to work ok. Tried to add the same elements to a new toolbar, and while they initially showed up, after a restart the toolbar was gone.
Comment 339 Ioana (away) 2014-01-13 07:42:55 PST
I haven't seen this on any of the latest Firefox versions on any of platforms we test (windows, linux, mac). Can anyone still reproduce this issue?
Comment 340 :Hb 2015-03-28 23:25:52 PDT
*** Bug 612097 has been marked as a duplicate of this bug. ***
Comment 341 Sanjula Madurapperuma 2016-06-04 03:41:42 PDT
I think it would be better if this problem is fixed through the control panel   -   Programs and features  - Mozilla Firefox  - Repair
Comment 342 Christian Ascheberg 2016-06-12 04:05:18 PDT
Sanjula, there is no info that I can provide, I am not an active developer. (And I myself haven't experienced this bug in years.)
Comment 343 Sanjula Madurapperuma 2016-06-12 07:53:06 PDT
Does the issue still persist? If so, what is the version of Firefox you are using?
Comment 344 Kenneth 2016-08-12 05:40:26 PDT
I had the same issue with Firefox 48 on my Ubuntu desktop. The actions at http://support.mozilla.com/kb/Toolbar+keeps+resetting didn't fix things for me, but disabeling all extensions and re-enabling them again (at least most of them) seems to have fixed things.

Note You need to log in before you can comment on or make changes to this bug.